> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kyckr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Order Status

> Retrieve a list of products you have ordered — including filing documents and enhanced company profile orders — placed within the specified number of days. Use this endpoint to track async order completion: match `productOrderIdField` against the numeric orderId from a 202 response, and retrieve completed results from `urlField` or `structuredDataUrlField` when `statusField` indicates completion.



## OpenAPI

````yaml /openapi/company_v1.yaml get /core/filing/order-status/{orderedWithin}
openapi: 3.0.1
info:
  title: Kyckr Companies V1 API
  description: |
    Kyckr Companies V1 API
  version: '1.0'
  contact:
    name: Kyckr APIs
    email: support@kyckr.com
servers:
  - url: https://rest.kyckr.com
    description: Production
  - url: https://rest.kyckr.com/test
    description: Test
security:
  - apiKey: []
tags:
  - name: Account
  - name: Company Profile
  - name: Company Search
  - name: Price
  - name: Registry Documents
  - name: UBO Verify
  - name: Lite
paths:
  /core/filing/order-status/{orderedWithin}:
    parameters:
      - $ref: '#/components/parameters/orderedWithin'
    get:
      tags:
        - Registry Documents
      summary: Order Status
      description: >-
        Retrieve a list of products you have ordered — including filing
        documents and enhanced company profile orders — placed within the
        specified number of days. Use this endpoint to track async order
        completion: match `productOrderIdField` against the numeric orderId from
        a 202 response, and retrieve completed results from `urlField` or
        `structuredDataUrlField` when `statusField` indicates completion.
      operationId: Filing_ProductList
      responses:
        '200':
          $ref: '#/components/responses/ProductList'
components:
  parameters:
    orderedWithin:
      name: orderedWithin
      in: path
      required: true
      schema:
        type: integer
        minimum: 0
        maximum: 30
      description: >-
        This is the number of days you wish to go back to retrieve products.
        Maximum number of days is 30 and minimum is 0 (which means today).
  responses:
    ProductList:
      description: >-
        In this example, we a retrieving a list of products we have has ordered
        in the last 30 days. In the request parameters, we have entered 30 as
        the OrderedWithin and our API access token as the request header.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ProductList'
          examples:
            Example:
              $ref: '#/components/examples/ProductList'
  schemas:
    ProductList:
      type: array
      items:
        $ref: '#/components/schemas/ProductListItem'
    ProductListItem:
      type: object
      properties:
        aVAILABLEField:
          type: number
          deprecated: true
        aWAITING_DELIVERYField:
          type: number
          deprecated: true
        dELIVERY_ERRORField:
          type: number
          deprecated: true
        accountIdField:
          type: number
          deprecated: true
        nodeIdField:
          type: string
          deprecated: true
        orderDateTimeField:
          type: string
        orderReferenceField:
          type: string
        partIdField:
          type: string
        productIdField:
          type: string
        descriptionField:
          type: string
        productOrderIdField:
          type: number
        sentToClientField:
          type: boolean
          deprecated: true
        statusField:
          type: number
          enum:
            - 1
            - 2
            - 3
            - 5
            - 9
            - 21
          description: Order status (see related guide)
        urlField:
          type: string
          format: uri
        structuredDataUrlField:
          type: string
          format: uri
        formatField:
          type: string
          deprecated: true
        companyNameField:
          type: string
        companyNumberField:
          type: string
  examples:
    ProductList:
      value:
        - aVAILABLEField: 1
          aWAITING_DELIVERYField: 0
          dELIVERY_ERRORField: 0
          accountIdField: 0
          nodeIdField: GBR_1000
          orderDateTimeField: '2021-01-15T16:05:27.927'
          orderReferenceField: ''
          productIdField: ''
          descriptionField: Company Profile / KYCKR LIMITED / €2.35 / United Kingdom
          productOrderIdField: 10818754
          replyDateTimeField: null
          sentToClientField: false
          statusField: 3
          urlField: https://data.kyckr.com/8010gdsg4848484
          userIdField: null
          formatField: ''
        - aVAILABLEField: 1
          aWAITING_DELIVERYField: 0
          dELIVERY_ERRORField: 0
          accountIdField: 0
          nodeIdField: GBR_1000
          orderDateTimeField: '2021-01-14T16:50:17.57'
          orderReferenceField: ''
          productIdField: ''
          descriptionField: CH_OfficialProfile_2 / Doe, John / €1.09 / United Kingdom
          productOrderIdField: 10816797
          replyDateTimeField: null
          sentToClientField: false
          statusField: 3
          urlField: https://data.kyckr.com/105844dsfd8
          userIdField: null
          formatField: ''
        - aVAILABLEField: 1
          aWAITING_DELIVERYField: 0
          dELIVERY_ERRORField: 0
          accountIdField: 0
          nodeIdField: GBR_1000
          orderDateTimeField: '2021-01-13T18:11:04.087'
          orderReferenceField: ''
          productIdField: ''
          descriptionField: CH_OfficialProfile_2 / Doe, John, Franky / €1.09 / United Kingdom
          productOrderIdField: 10815404
          replyDateTimeField: null
          sentToClientField: false
          statusField: 3
          urlField: https://data.kyckr.com/124719gfdsg4854840
          userIdField: null
          formatField: ''
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````